﻿using System;
using System.Collections.ObjectModel;
using GalaSoft.MvvmLight.Command;

namespace GridViewExample.ViewModels
{
	public class MainViewModel
	{
		public MainViewModel()
		{
            Items = new ObservableCollection<ProductViewModel>();
			for (int i = 0; i < 7; i++)
			{
				Items.Add(new ProductViewModel() {
                Description = String.Format("Description of Product{0}",i),
                Name = String.Format("Product{0}",i),
                FormState = "true",
                UnitPrice = i*123
                });
			}

            ExecuteCommand = new RelayCommand<object>(CommandExecution);
            CanVerifyCommand = new RelayCommand<object>(Verification);
		}

        public ObservableCollection<ProductViewModel> Items { get; set; }

        public RelayCommand<object> CanVerifyCommand { get; set; }
        public RelayCommand<object> ExecuteCommand { get; set; }

        private void CommandExecution(object p)
        {

        }

        private void Verification(object p)
        {
            if (p is ProductViewModel)
            {
                (p as ProductViewModel).FormState = "false";
            }
        }
	}
}
